### mate-panel 1.26.6

  * ci: fix deployment so a release tarball can be built

### mate-panel 1.26.5

  * status-notifier: Plug large leak with icons from paths

### mate-panel 1.26.4

  * update translations
  * wnck-pager: Fix workspace switcher aspect ratio
  * libmate-panel-applet: Fix build with gettext 0.22
  * status-notifier: Show AttentionIcon when Status is NeedsAttention
  * status-notifier: fix typo
  * notification-area: stop warning on removal

### mate-panel 1.26.3

  * update translations
  * windows-list.ui: lower gtk3 required version
  * panel-applet: Fix leak in no-background code path
  * clock: Fix memory leak
  * wncklet: Fix crash thumbnailing dying or otherwise inaccessible windows
  * notification_area: Reduce lifetime of the settings local variable (#1309)
  * Register SNI host only if SNI is enabled
  * wncklet: do not exceed workspace number when setting n_rows

### mate-panel 1.26.2

  * update translations
  * clock: fix memory leak
  * panel-test-applets: fix memory leak
  * wncklet: The values stored in the wrapper hash table are incorrect
  * Upscale in panel_xutils_set_strut
  * panel-toplevel: fix the computed dimension for (non) auto hidden panels
  * struts: add support for _GNOME_WM_STRUT_AREA

### mate-panel 1.26.1

  * update translations
  * fix show window thumbnails check button
  * Revert "window-list.c: use g_settings_* functions directly instead of using stored values"
  * Updated installation instructions ; added missing build dependency
  * fix mate-desktop-item-edit executable

### mate-panel 1.26.0

  * update translations
  * Use absolute path g_get_home_dir replaces "~/"
  * Fix clock applet add location crash
  * Add the function of monitor panel launcher files

### mate-panel 1.25.3

  * update translations
  * update copyright to 2021
  * workspace-switcher: support xmonad WM
  * window-list.c: use g_settings_* functions directly instead of using stored values
  * window-list.ui: use GtkNotebook
  * Replace deprecated GCompletion with GtkEntryCompletion
  * struts: add panel_xutils_unset_strut
  * panel-xutils: tab to spaces
  * panel-struts: tab to spaces
  * Make Recent Documents list in Places menu of configurable length (#1216)
  * Add window list disable mouse scrolling function
  * Add panel-ditem-editor-dialog.ui
  * notification_area: Add XAyatanaLabel and XAyatanaNewLabel to interface description
  * notification_area: move XAyatana(New)Label case at the bottom
  * notification_area: fix memory leak
  * Add text label display function for notification area
  * Redundant NULL check before freeing a variable
  * build: Use PACKAGE_URL variable
  * Update copyright to 2021
  * panel-toplevel: declaration of 'allocation' shadows a parameter
  * panel-menu-items: declaration of 'item' shadows a previous local
  * Local variable shadows outer variable warning reported by cppcheck
  * Variable is reassigned a value before the old one has been used
  * wncklet: remove extra ref on gdk_x11_window_foreign_new_for_display
  * panel-properties-dialog: show dialog on _present instead of _new
  * wncklet: search the window before creating a new one
  * wncklet: Condition ~wm_name is always true
  * wncklet: variable is assigned a value that is never used
  * wncklet: missing breaks on switch cases

### mate-panel 1.25.2

  * update translations
  * Signal name is 'value-changed' for GtkSpinButton
  * applet: Avoid a NULL pointer dereference
  * mate-panel-applet.h: tabs to spaces
  * remove function calls to  mate_panel_applet_set_background_widget
  * window-list: remove intermediate steps to get scaled thumbnail
  * window-list: Get thumbnail size and scale in preview_window_thumbnail
  * cppcheck warning: The if condition is the same as the previous one
  * update issue template
  * window-list: Render thumbnails as cairo surfaces
  * panel-applets-manager: Boilerplate
  * mate-panel-applet-factory: format code
  * mate-panel-applet-factory: Boilerplate
  * fish: Do not to include the math.h library to get the PI value
  * Fix solid color controls after disabling compositor
  * mate-panel-applet: Boilerplate
  * Fix applet background for transparency
  * Don't enable transparency slider if not supported
  * Don't try to use transparent color if not supported
  * Fix the opaque label in panel-properties-dialog.ui
  * Drop panel_profile_set_background_gdk_rgba()
  * Remove get_background_color() (duplicate of panel_profile_get_background_gdk_rgba())
  * Drop dead panel_background_set_opacity()
  * Drop background compositing
  * wncklet: function declaration isn't a prototype
  * configure: remove warning about option 'subdir-objects' is disabled
  * Remove USE_MATE2_MACROS from autogen.sh (legacy)
  * Use g_task... replace obsolete function g_ simple....
  * Show label about options not available on Wayland
  * Disable controls not applicable to Wayland
  * Set minimized windows control sensitivity with the parent box
  * Suppress applet's default context menu for window buttons
  * Switch to C-style comments as requested
  * Fix workspace switcher on X11
  * Fix showdesktop applet on X11
  * Link with libwayland
  * Link wncklet with libwayland-client (why did this ever work?)
  * Don't crash if shell doesn't support foreign toplevel
  * Window list Wayland support
  * Add foreign toplevel management protocol and generated code
  * Wncklet applets: don't crash on Wayland
  * Use gdk_set_allowed_backends () instead of custom check
  * Drop libxau from .build.yml
  * Drop 'xau' from PKG_CHECK_MODULES call
  * Remove variableScope warnings reported by cppcheck
  * wncklet: Check the length of the pixel data for empty thumbnails

### mate-panel 1.25.1

  * sync with transifex
  * Handle locked down settings better when dropping an image URI
  * panel-toplevel: Fix -Wenum-conversion warning
  * wncklet: Hide window preview on non-visible windows
  * launcher: Fix memory leaks
  * panel-action-button: using enum for accessing an array indexed
  * clock-face: Use gdk_pixbuf_new_from_resource_at_scale
  * launcher: Fix memory leak
  * Ask the user what to do when receiving an image drop
  * Create launchers when dropping multiple image URIs
  * panel-util: Fix memory leak
  * Fix creating several launchers at once
  * clock: assignment to 'GSList *' from incompatible pointer type 'GList *'
  * clock: Use single-linked lists for locations
  * clock: sort locations by time reverse and name
  * clock: merge sorting and reversing node list of selected locations
  * clock: Fix GError double free
  * clock: Properly free rsvg handles
  * wncklet: Fix leaking cairo_t
  * panel-run-dialog: Fix leaking tree model strings
  * workspace-switcher: Fix leaking color string
  * panel-properties-dialog: Fix leaking string
  * clock: Fix leaking GtkListStore
  * panel-profile: Fix leaking list elements
  * clock: Fix list iteration
  * panel-lockdown: Fix leaking string array
  * panel-menu-items: Fix leaking string
  * mate-panel-applet: Fix leaking GVariantBuilder
  * launcher: Fix leaking strings
  * clock: Fix leaking cairo surface
  * Clarify meaning of panel reset option
  * panel-toplevel: Refactor panel_toplevel_update_hide_buttons_size()
  * panel-util: Fix leaking root GFile
  * panel-profile: Fix leaking list elements
  * panel-frame: Fix leaking background-color
  * panel-applet-frame: Fix leaking bg_pattern
  * panel-multimonitor: Do not require limits.h macros
  * clock: Simplify notebook scroll-event callback
  * Using #include with system libraries
  * build: Add built sources to CLEANFILES target
  * Avoid using single-line cpp comments
  * build: Add glib-2.0 module in PKG_CHECK_MODULES(LIBEGG)
  * Use '#include <config.h>' instead of '#include "config.h"'
  * panel-util: switch to generic header for --disable-x11
  * add git.mk to generate .gitignore

### mate-panel 1.25.0

  * sync with transifex
  * libegg: use git submodule
  * panel-toplevel: Use monotonic time for measuring time intervals
  * panel-toplevel: Use animation duration time instead of end time
  * panel-toplevel: Remove warning ‘GTimeVal’ is deprecated
  * Fix some cast-function-type warnings introduced in GCC 8
  * preferences dialog: change show thumbnails radio to check button
                        and bind its active property to sensitivity state
                        of GtkSpinButton
  * build: silent build warnings for distcheck
  * use default MATE_COMPILE_WARNINGS level
  * update icons
  * button-widget: Fix memory leak
  * Do not collect the translation for Icon
  * Enable applications in addto menu (fixes 1055) (#1056)
  * Remove warnings: function declaration isn’t a prototype

### mate-panel 1.24.0

  * update translations
  * build: show warning flags on configure summary

### mate-panel 1.23.3

  * update translations
  * Avoid double a11y description on panel toplevels
  * Update copyright to 2020
  * Clock applet: Fix string comparison
  * clock applet: add a call to ATK to provide the current displayed time
  * status-notifier: Render menu items as cairo surface
  * status-notifier: Render icons as cairo surface
  * na-tray: increase min_icon_size value
  * fix mate-panel can not find mo file
  * migrate from intltool to gettext
  * build: %.gschema.xml files were already generated by autogen.sh
  * pull from transifex with fixed greek language

### mate-panel 1.23.2

  * update translations
  * fish: Use a higher resolution image for Wanda the Fish
  * Fetch clock formats using LC_TIME (as opposed to LANGUAGE)
  * Change the panel menu descriptions to better identify them
  * Load layouts from absolute paths
  * Set compiler debug flags using MATE_DEBUG_CHECK
  * sn-item: avoid 'g_type_class_add_private'
  * notification_area/main: avoid 'g_type_class_add_private'
  * na-tray: avoid 'g_type_class_add_private'
  * clock-face: fix code formating
  * clock: avoid deprecated g_type_class_add_private
  * When determining whether the pos is in the applet, use ad->cells to calc.
  * build: use AC_STRUCT_DIRENT_D_TYPE instead of custom macro
  * panel-toplevel: avoid deprecated 'gtk_css_provider_get_default'
  * panel-toplevel: fix applets placement on expanded vertical panel
  * panel-toplevel: fix coding style and spacing a bit
  * Fix GTK Layer Shell include and CFLAGS
  * [clock-applet] Add scroll interface tabs with mouse wheel
  * Keep menu button popup from covering up menu on Wayland
  * Keep applet menus from covering up applets on Wayland
  * Add comment headers to wayland backend files
  * Add Wayland backend
  * Remove trailing whitespaces
  * Use monitor size instead of screen size in panel-toplevel.c
  * Add panel_multimonitor_get_bounds ()

### mate-panel 1.23.1

  * update translations
  * Wayland support for panel-toplevel.c
  * Fix unused variable in panel-widget.c
  * Wayland support for panel-layout.c
  * Wayland support for panel-profile.c
  * Wayland support for main.c
  * Wayland support for panel-applet-container.c
  * Fix out-of-process applets on X11 by fixing mate-panel-applet.c
  * Wayland support for mate-panel-applet.c
  * Wayland support for libegg
  * In mate-panel-applet-factory.c, only set screen when used
  * Make system-tray X11-only
  * Make panel-struts X11-only
  * Reinit panel-multimonitor when screen is changed
  * Reinit panel-multimonitor when a monitor is invalidated
  * Make panel-multimonitor Wayland ready
  * Update to the new panel_multimonitor functions
  * Refactor panel_multiscreen functions into panel_multimonitor ones
  * Rename panel-multiscreen files panel-multimonitor
  * Make panel-background Wayland ready
  * Make panel-background-monitor X11-only
  * Strings resistance
  * Fix Makefile.am to install in a given prefix path
  * Error in the correct place when applets are loaded on a platform they don't support
  * Add supported platform values to *.mate-panel-applet files
  * Load and store what platforms applets support
  * panel-addto support disabling applets
  * Panel addto Wayland support
  * Add MATE_PANEL_APPLET_LIB_PREFIX environment variable
  * Switch out wayland protocols for gtk-layer-shell dependency
  * Update FSF address
  * revert menu-bar: transfer focus correctly on alt-F1
  * na-tray: avoid deprecated g_type_class_add_private
  * Create FUNDING.yml
  * fix reloading the default layout after panel reset
  * fix random crashes on panel reset
  * [mate-panel] Avoid deprecated g_type_class_add_private
  * [libmate-panel-applet] Avoid deprecated g_type_class_add_private
  * Set compressed="true" for gresource text files
  * panel-toplevel: Clarify calculation precedence for '&' and '?'
  * button-widget: Clarify calculation precedence for '&' and '?'
  * Determine libwnck version during configure
  * Add version check for libwnck
  * window-list: Show window previews on hover
  * Fix panel applet keyboard focus trap

### mate-panel 1.23.0

  * update translations
  * add volume-applet to fedora layout
  * Show single empty panel, even if no default layout is found
  * Dropped *-protocol suffix from generated files
  * help: update copyright
  * [Security] panel-keyfile: Use 'g_strlcpy' instead of 'strcpy'
  * na-tray-child: avoid deprecated 'gtk_widget_set_double_buffered'
  * [ci] Enable clang-analyzer
  * Wayland support for several files
  * Error if compiling panel-plug-private.h without X11 support
  * Don't build X11 specific files when X11 support is not enabled
  * Remove unneeded X11 includes
  * GdkRectangle monitor -> monitor_geom
  * Change panel_toplevel_get_monitor_geometry to fill in a GdkRectangle instead of 4 ints

### mate-panel 1.22.0

  * update translations
  * Ensure proper translation of the about dialog title
  * Make translatable the copyright in about dialog
  * Fix last menu with gtk_menu_popup and failure to follow panel theme
  * mate-panel-applet.c: replace deprecated gtk_menu_popup
  * Properly align button menu positions on vertical panels
  * initial travis-CI support
  * fix crash on removing tray
  * panel-action-protocol: Error if used when X11 is disabled
  * panel-force-quit: Error if used when X11 is disabled
  * panel-xutils: Error if used when X11 is disabled
  * xstuff: include GTK and GDK X11 headers, so including files don't have to
  * xstuff: add is_using_x11 ()
  * xstuff: Error if X11 not enabled
  * Applets: only compile X11 applets when X11 is enabled
  * Clock: Wayland support
  * wncklet: Error if compiling without X11 support
  * Notification area: error if compiling without X11 support
  * applet.c: Remove unused mate_panel_applet_position_menu ()

### mate-panel 1.21.4

  * update translations
  * libmate-panel-applet: Add comments in headers to explain Wayland behavior
  * libmate-panel-applet: mate-panel-applet.c Wayland support
  * libmate-panel-applet: Applet factory Wayland support
  * libmate-panel-applet: Error if panel-plug is built without X11
  * libmate-panel-applet: Stop X11 specific files from building on Wayland
  * eggsmclient: avoid deprecated 'g_type_class_add_private'
  * clock: set  horizontal padding for clock-button
  * panel-config-global: avoid deprecated 'g_settings_list_keys'
  * Store fish surface size to enable rendering without backend specific code
  * Remove unused screen variable in fish applet
  * Remove X specific functions from fish applet
  * README: don't mention dbus-glib which is not needed anymore
  * Clock: Fix weather icon size selection for panel height
  * Clock: ensure weather icon resizes with panel
  * Tray: Fix too-wide icon spacing after mate-polkit has been used w sni
  * clock: force no button vertical padding and margin
  * disable deprecation warnings for distcheck
  * Disallow building without X11 support
  * Allow for enabling and disabling a backend without affecting the other
  * Remove generated Wayland files on make clean
  * Replace wayland-scanner private-code option with code
  * clock.c: Force negative margin, not passing on clockbutton
  * Link with Wayland protocols and libraries
  * Include Wayland protocol generating makefile in build system
  * Add wayland protocol generating makefile
  * Updated configure.ac for Wayland support
  * Add XDG Shell protocol xml
  * Add Layer Shell protocol xml
  * Remove legacy X11 package detection
  * panel-gtk: Fix memory leaks

### mate-panel 1.21.3

  * update translations
  * Use make functions for HELP_LINGUAS
  * Check if manager->proxy is NULL
  * Migrate mate-panel from dbus-glib to gdbus
  * notification-area-preferences-dialog.ui: avoid GtkButton:use-stock
  * Fix GdkSeat warning
  * Ensure alt-F1 can show the menu even if no menu applet on panel
  * na-tray: add preferences dialog and applet menu entry
  * na-tray: wide panels, add GSettings to the applet
  * na-tray: wide panels, convert main GtkBox display to GtkGrid
  * na-tray: wide panels, preliminary batch box to grid rename
  * button-widget: wide panels, more suitable resize limits on Widgets and arrows
  * README - Add dependency list
  * update legal.xml
  * Clock applet help: To Adjust the System Date or Time
  * Clock applet help: Add Show week numbers in calendar
  * Clock applet help: Fix speed unit for meters per second

### mate-panel 1.21.2

  * sync with transifex
  * menu-bar: transfer focus correctly on alt-F1
  * panel: avoid a critical
  * panel-toplevel: fix memory leak in calculate_minimum_height
  * Change GTK_CHECK_VERSION to match next gtk+ release
  * applets: Guard against GTK scale-factor fixes on GtkSocket
  * window-list: Skip setting size hints until WnckTasklist has items to show.
  * applets: Fix runtime error messages
  * mate-panel-applet: setup_x_error_handler for in-process applets too
  * GTK 3.23: fix applet size allocation
  * fish: avoid deprecated 'gtk_window_set_wmclass'
  * Tray: simplify force-redraw, use code that actually works
  * panel-actions: replace deprecated gtk_menu_popup
  * applet-context-menu: replace deprecated gtk_menu_popup
  * panel-context-menu: replace deprecated gtk_menu_popup
  * GTK 3.23: don't cut tray icons too narrow in HiDPI mode
  * na-tray-child: remove na_tray_child_size_allocate
  * panel-menu-button: replace deprecated gtk_menu_popup
  * na-tray-child: replace deprecated gdk_error_trap_push/pop functions
  * libmate-panel-applet: replace deprecated gdk_error_trap functions
  * panel-xutils: replace deprecated gdk_error_trap functions
  * panel-util: replace deprecated gdk_flush
  * main: replace deprecated gdk_flush
  * panel-widget: replace deprecated gdk_flush
  * panel-toplevel: add position css class
  * panel-force-quit: replace deprecated gdk_device_grab
  * panel-force-quit: replace deprecated gdk_error_trap functions
  * panel-force-quit: replace deprecated gdk_flush
  * menu.c: Fix: Keep spaces in the left if "menus-have-icons" is off
  * Panel-gtk.c: Show menu icons only when "menus-have-icons" is set
  * workspace-switcher: provide themed fallback color

### mate-panel 1.21.1

  * Translations update
  * update mate-menus requiremnt
  * panel-menu-button.c: Force use basename for compare
  * Support new mate-menus api
  * Convert launcher icons to cairo surfaces
  * fix rendering and removal of in-process applets on unexpanded panel
  * applet.c: avoid deprecated GtkImageMenuItem
  * limit size of panel-hide-button
  * clock: fix weird thing in comments
  * clock: fix actual copy/paste error which caused use-after-free
  * clock: fix use-after-free
  * fish: Install fish animations in fish-specific directory
  * fish: drop wanda image from gresource

### mate-panel 1.21.0

  * Translations update
  * css: use parsing-error signal to warn on bad css file or image
  * css: Convert to GResource
  * na-tray: Convert to GResource
  * wncklet: Convert to GResource
  * panel: Convert to GResource
  * clock: Use new GdkPixbuf API to load resources
  * clock: Convert to GResource
  * fish: Convert to GResource
  * libpanel-applet: Add panel_applet_setup_menu_from_resource() API
  * Theme: consistant theming for applet drag handles in all themes
  * Revert "panel-toplevel: Remove pointer boundary check in panel_toplevel_queue_auto_hide()"
  * panel-context-menu.c: avoid deprecated GtkImageMenuItem
  * avoid 'gtk_file_chooser_dialog_new' with stock ids
  * Accessibility: white/black applet handles in GNOME high contrast themes
  * panel-run-dialog.ui: avoid deprecated:
  * fish.c: avoid 'gtk_dialog_new_with_buttons' with stock id
  * panel-test-applets.ui: avoid deprecated:
  * window-list.ui: avoid GtkVBox and GtkButton:use-stock
  * workspace-switcher.ui: avoid deprecated GtkButton:use-stock
  * Theme: show applet handles on non-MATE themes
  * panel-properties-dialog.ui: avoid GtkButton:use-stock and GtkImage:stock
  * fish.ui: avoid deprecated:
  * clock.ui: avoid deprecated:
  * avoid gtk_dialog_add_buttons with stock ids
  * workspace-switcher: support i3 WM
  * tx: update config with branch specific resoures
  * workspace-switcher: support metacity WM
  * Apply fix for workspace-switcher by vkareh
  * Fix rendering of out-of-process window list with hidpi
  * hidpi: fix tray icon spacing with window-scaling > 1
  * Fix out-of-process applet sizes for HiDPI
  * Fix hide buttons make panel bigger
  * run dialog: force icon size when loading app icon
  * run dialog: fix expand of content on window resize
  * Fix run dialog show-program-list enabling fix
  * tx: add makepot and .pot files
  * run-dialog: use F6 to switch between entry field and program list
  * transifex: set minimum_perc and type in config file
  * Fix strut sizes for HiDPI multi-monitors
  * Do not down-scale monitor geometries for GDK monitors
  * Scale monitor geometries down to device pixels to support multiple monitors in HiDPI
  * Drawer cleanup and fix arrow behavior

### mate-panel 1.20.0

  * Translations update
  * Added gir for mate_panel_applet_set_size_hints()
  * panel-stock-icons.c: Fix warnings in ~/.xsession-errors
  * Fix run dialog show-program-list enabling
  * require GTK+ 3.22 and GLib 2.50
  * panel-run-dialog: fix build warning about incompatible type
  * remove unneeded nested GTK_CHECK_VERSION block
  * workspace-switcher: restore border width and spacing in prefs dialog
  * context menu: add separator before Reset Panel menu item
  * background: reword warning about unsupported background-image value
  * set the "document-properties" icon in "Edit Menus"

### mate-panel 1.19.6

  * Support panel auto-scaling for HiDPI displays

### mate-panel 1.19.5

  * Translations update
  * bump minimum required libwnck version to 3.4.6
  * status-notifier: don't crash if tooltip has wrong type
  * status-notifier: don't crash if menu layout has wrong type
  * Fix rendering of radio buttons in status notifier
  * panel-run-dialog: fix segfault when program list is enabled
  * get focus when displaying "applet broken" dialog
  * Update workspace switcher properties dialog
  * update copyright year to 2018
  * simplify some code
  * rework the process of cancelling the background change operation
  * status-notifier: properly handle the NULL case for items
  * status-notifier: handle wrong-size icons called by path
  * status-notifier: load icons specified by path
  * Fix failures to load icons when the application calls for a path and not an icon name
  * Fix build warning: ‘toplevel_configure_event’ defined but not used
  * Fix build warning: "GLIB_VERSION_MIN_REQUIRED" redefined
  * status-notifier: fix failure to show icon for missing icon
  * Spelling: apps, … spaced comma

### mate-panel 1.19.4

  * Translations update
  * WidthOfScreen and HeightOfScreen implementation
  * panel-toplevel: Remove pointer boundary check in panel_toplevel_queue_auto_hide()
  * remove ancient gnome-panel leftovers
  * Keep the right icons on bottom still displaying right when the resolution change larger
  * wncklet: disconnect signals by data on destroy
  * clock: disconnect one more signal handler on destroy
  * panel-applet-frame-dbus-c: comment out newly unused variable
  * Clock: don't check variables that can never be < 0 for < 0
  * panel-applet-frame-dbus.c: comment out never used code block
  * panel-toplevel: remove duplicate break statement
  * status-notifier: remove duplicate check found by cppcheck
  * status-notifier: hide mate-polkit icon if passive
  * Apply position fix on popup to GTK 3.20 and earlier
  * GTK 3.22 status notifier: reposition menu when size changes
  * GTK 3.22/status-notifer Fix menu position if size changed since last shown
  * Stop panel collapse left on adding certain out-of-process applets
  * make file/folder launchers work again
  * panel-context-menu: Add confirmation dialog to panel reset option
  * Add option to context menu to reset the panel
  * clock:disconnect signal handlers on destroy
  * Fix crashes on moving/removing applets with glib 2.53.4 or later
  * gtk 3.22: avoid deprecated gdk_screen_get_monitor... functions:
  * Add a gsettings key to enable/disable SNI Support (#600)

### mate-panel 1.19.3

  * Translations update
  * wncklet: stop segfaults, warnings on removing in-process switcher, window-list
  * fish: fix adding back after removal
  * Fish: stop all warnings on removing when built in-process
  * Clock: fix removal warnings when in-process applet removed
  * clock: stop segfault on removing applet when built in-process
  * libmate-panel-applet: fix typos in id->factory_id rename
  * libmate-panel-applet: Only declare _panel_applet_shlib_factory() when needed
  * libmate-panel-applet: fix error in unregistering dbus object
  * libmate-panel-applet: fix build warning
  * libmate-panel-applet: fix introspection
  * libmate-panel-applet: unown bus name and unregister dbus object
  * libmate-panel-applet GTK 3.14/3.16: fix custom bg w alpha
  * libmate-panel-applet: include dummy variable in factory for certian applets
  * libmate-panel-applet: fix bg rendering for in-process applets
  * libpanel-applet/panel-applet.h: Rename id to factory_id for factory
  * limatepanel-applet: add panel-applet-private.h
  * don't use GtkPlug/GtkSocket for in process applets
  * make it possible to get applet widget
  * libpanel-applet: add panel_applet_factory_get_applet_widget
  * libpanel-applet: return process type and applet uid
  * libpanel-applet: store factories in hash table
  * libpanel-applet: delay GtkPlug creation
  * libpanel-applet: add process type to private data
  * libpanel-applet: Remove out_process from panel_applet_factory_main()
  * avoid deprecated gdk_screen_get_width/height
  * avoid deprecated gdk_screen_get_n_monitors
  * fish: fix applet opening as thin line when built in-process
  * Forces a window scale of 1 for the panel,
    instead of using the default or user configured scale.
  * avoid deprecated gdk_screen_make_display_name
  * avoid deprecated gdk_display_get_screen
  * don't use deprecated gtk_show_uri

### mate-panel 1.19.2

  * Translations update
  * avoid deprecated gdk_screen_get_number
  * fix applet crashes on transparent user-set panel bg
  * system tray: fix hidden icons on image/transparent color BG
  * Fix GTK theme image bg support on vertical panel
  * Make panel image background in GTK theme work again
  * clock: fix hovering over timezone text, causes panel to scale beyond screen limit
  * GTK 3.18+ fix transparent default panel bg

### mate-panel 1.19.1

  * Translations update
  * menu: restore focus after drag-n-dropping menuitem outside
  * menu: restore focus after closing popup menu of a menuitem
  * Fix: menubar/menu-button can't launch mozo
  * menu: remove incorrect code from the popup menu of a menuitem
  * status notifier: follow same menu theme as rest of panel
  * fix moving applets between panels
  * Restore Polish translation credits from GNOME
  * menu: fix crash when some .desktop file has empty Icon field
  * clock: properly handle visibility of edit button
  * clock: drop deprecated gtk_size_group_set_ignore_hidden
  * clock: move GtkButton in another horizontal GtkBox parent
  * clock.c: drop deprecated gtk_size_group_set_ignore_hidden
  * localized application's name and description
  * menu-button: disconnect from GSettings when applet is removed
  * action-button: disconnect from GSettings when applet is removed
  * remove a needless glib check

### mate-panel 1.19.0

  * Translations update
  * status-notifier: fix crash on unknown signal name
  * use GTK+3 bookmarks location for Places menu
  * doc: remove some references to nonexistent stuff
  * fix build with gcc 4.9.2 (looks like it's in c89 mode by default)
  * Run dialog: Add option to reverse history view
  * Run dialog: Fix wrong history len with max size 1
  * Run dialog: Allow changing history size
  * doc: drop ancient MateConf references
  * Run dialog: Fix wrong history order
  * status-notifier: Do not hide passive items
  * update copyright year to 2017
  * panel-menu-bar: fix build warning and some spacing
  * properly fit expanded panel to smaller screen size
  * system-tray: Properly propagate orientation changes
  * notification-area: Fix item orientation
  * workspace switcher: handle GDK_SCROLL_SMOOTH and fix build warning
  * Reenable workspace switcher wrapping
  * pre-bump version
  * status-notifier: Fix handling of icon-padding style property
  * Simplify panel description shown when switching panels with the WM
  * status-notifier: Plug a memory leak
  * remove deprecated sys/timeb.h header, as nothing uses it
  * status-notifier-watcher: Allow re-registration of registered items (#543)
  * setup custom icon
  * Revert "Suppress the shutdown option in the panel if LTSP_CLIENT is set"
  * status-notifier: Plug a memory leak
  * notification area: Fix memory leak sorting items

### mate-panel 1.18.0

  * NEWS: use consistent, project wide, markdown-like formatting
    to make generating release announcements easier
  * Build: require libmate-menu >= 1.10 and dconf >= 0.13.4
  * Build: require libmateweather and libmate-desktop >= 1.17
  * Move to GTK+3 (require GTK+ >= 3.14), drop GTK+2 code and
    --with-gtk build option
  * Launchers: add desktop actions support for additional launch
    options
  * Menu applets: add support for Menulibre menu editor, and prefer
    it to Mozo if both are installed
  * Notification area: add StatusNotifier support
  * Fix lots of GTK+ deprecations and runtime warnings
  * Don't spam accessible name changes when it is translated
  * Some code cleanups
  * Translations update

### mate-panel 1.16.1

  * Clock applet: mark current day in the calendar
  * Clock applet: update tooltip only when new text is different
    (fixes some OpenGL issues in fullscreen apps)
  * GTK+3: stop calendar window jumping when expanding/folding
    locations
  * GTK+3: fix showing icon at mouse cursor on launcher drag-n-drop
  * GTK+3: fix a heap of runtime warnings

### mate-panel 1.16.0

  * Use GtkAboutDialog instead of MateAboutDialog
  * GTK+3: use GtkColorButton/GtkColorChooser in properties dialog
  * GTK+3: fix a lot of deprecations
  * Some more fixes and cleanups
  * Translations update

### mate-panel 1.14.2

  * Some fixes for opensuse.layout
  * Some more fixes and cleanups
  * Translations update
  * Make distcheck use currently selected GTK+ version

### mate-panel 1.14.1

  * Fix missing focus for panel widgets (needed for Orca to work)
  * Some more fixes and cleanups
  * Translations update

### mate-panel 1.14.0

  * Drop MateConf migration script
  * Add separate "Delete" button in reload applet dialog, and
    make "Don't Reload" button do what it says (it won't delete
    applet permanently now)
  * Make max number of bookmarks in menu (before submenu is created)
    configurable via GSettings key
  * Make icon size of menu items configurable via GSettings key
  * Change default menubar icon size to 22px
  * Drop "Ubuntu hacks" (--enable-ubuntu build option) as Ubuntu
    dropped that stuff long ago
  * GTK+3: add several style classes
  * GTK+3: add several css names for 3.20
  * GTK+3: fix rendering of custom backgrounds with 3.18 and newer
  * GTK+3: fix a lot of deprecations
  * Some more fixes and cleanups
  * Translations update
  * Add Changelog generation

### mate-panel 1.12.2

  * Drawer applet: fix occasional stretching of drawer's panel
    over the entire screen
  * Drawer applet: fix occasional crash on applet removing
  * GTK+3: fix infinite loop with some themes
  * Some more fixes

### mate-panel 1.12.1

  * GTK+3: fix background in some themes
  * Some more fixes

### mate-panel 1.12.0

  * Require xrandr 1.3
  * Add option to enable/disable week numbers in calendar
  * Fix positions of locked applets on screen resolution change
  * Retrieve strings directly from gschema (requires intltool 0.50.1)
  * Switch to org.gnome.SessionManager (used by action buttons)
  * GTK+3: add a style class for applets to follow panel-menu-bar
  * Multiple GTK+3 fixes
  * Some more fixes and cleanups

### mate-panel 1.10.1

  * Fish and clock applets: help fixes
  * Drawer applet: fix opening after adding applets to it
  * Force Quit applet: fix desktop freezing with GTK+3
  * Some more GTK+3 fixes
  * Some code cleanup
  * Translations updates

### mate-panel 1.10.0

  * Gtk3, Fix deprecated use of gdk pointer api
  * Gtk3, Port all GtkStyle to GtkStyleContext
  * Gtk3, Port gtk_rc_parse_string to GtkCssProvider
  * Gtk3, Several small fixes
  * Several more fixes from monsta
  * GDK_KEY_* is also in Gtk+2.24
  * showdesktop: Fix the size of the icon
  * clock: Check allocated size before creating the shadow pixbuf
  * applet: Disconnect show and deactivate menu signals before destroying the applet menu
  * Add a gtkimage with the current pixbuf to button-widget
  * Fix implicit declaration of function of gdk_x11_set_sm_client_id
  * panel-addto: Remove the vbox as it is redundant.
  * na: Fix handling of SYSTEM_TRAY_CANCEL_MESSAGE
  * Use gtk icon cache instead of custom one
  * Several small fixes by monsta

### mate-panel 1.8.0

  * Added support for multiple layouts, stored in $(datadir)/mate-panel/layouts
  * Added --layout parameter
  * Add hook to support run dialog and main menu opening with metacity
  * Switch to libwnck
  * Use yelp-tools instead of mate-doc-utils

### mate-panel 1.6.0

  * add --run-dialog option to open run dialog
  * migration to gsettings
  * panel-menu-button: supports changed notify for new "has-arrow" key
  * clock applet: removed evolution support
  * default layout: default panel layout is loaded from
    $(datadir)/mate-panel/panel-default-layout.mate. You can ovverride it by
    providing $(datadir)/mate-panel/panel-default-layout.dist.
